#include <QtCore/QtPlugin>
#include <QDesignerFormEditorInterface>
#include <QDesignerPropertyEditorInterface>
#include "plugin_thermometer.h"
#include "thermometer.h"


SHSThermometerPlugin::SHSThermometerPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void SHSThermometerPlugin::initialize(QDesignerFormEditorInterface * ) {
	if (m_initialized)
		return;
	m_initialized = true;
}


bool SHSThermometerPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * SHSThermometerPlugin::createWidget(QWidget * parent) {
	return new SHSThermometer(parent);
}


QString SHSThermometerPlugin::name() const {
	return QLatin1String("SHSThermometer");
}


QString SHSThermometerPlugin::group() const {
	return QLatin1String("SHS Widgets");
}


QIcon SHSThermometerPlugin::icon() const {
	return QIcon(":/icons/thermometer.png");
}


QString SHSThermometerPlugin::toolTip() const {
	return QLatin1String("");
}


QString SHSThermometerPlugin::whatsThis() const {
	return QLatin1String("");
}


bool SHSThermometerPlugin::isContainer() const {
	return false;
}


QString SHSThermometerPlugin::domXml() const {
	return QLatin1String("<widget class=\"SHSThermometer\" name=\"thermometer\">\n</widget>\n");
}


QString SHSThermometerPlugin::includeFile() const {
	return QLatin1String("thermometer.h");
}

